MODULE_VERSION(9)

NAME
MODULE_VERSION - set kernel module version

SYNOPSIS
#include <sys/param.h>
#include <sys/module.h>
MODULE_VERSION(name, int version);

DESCRIPTION
The MODULE_VERSION() macro sets the version of the module called name. Other kernel modules can then depend on this module (see MODULE_DEPEND(9)).

EXAMPLES

    MODULE_VERSION(foo, 1);

SEE ALSO
DECLARE_MODULE(9), module(9), MODULE_DEPEND(9)

AUTHORS
-nosplit This manual page was written by Alexander Langer <alex@FreeBSD.org>.